package com.steering.mes.mcp.entity;
/**
 * 数据库表PORT_MCH_BATCH_SAMPLE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2018-04-02
 */
@SuppressWarnings("serial")
public class PortMchBatchSampleResultEntity1 implements java.io.Serializable {
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 材料号(管号)
     */
    private String matNo = "";
    /**
     * 母管号
     */
    private String mMatNo = "";
    /**
     * 母坯号
     */
    private String mMMatNo = "";
    /**
     * 生产批号(加工)
     */
    private String lotNo = "";
    /**
     * 生产批号序号(加工)
     */
    private String lotNoSqe = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 性能批号--轧管批号
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String groupNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 标示炉号
     */
    private String flagStoveNo = "";
    /**
     * 外径(实际)
     */
    private String actDimater = "";
    /**
     * 壁厚(实际)
     */
    private String actHeight = "";
    /**
     * 长度(实际)
     */
    private String actLen = "";
    /**
     * 长度下限(实际)
     */
    private String actLenMin = "";
    /**
     * 长度上限(实际)
     */
    private String actLenMax = "";
    /**
     * 材料支数(实际)
     */
    private String actCount = "";
    /**
     * 材料实重(实际)
     */
    private String actWeight = "";
    /**
     * 材料理论重量(实际)
     */
    private String actTheoryWeight = "";
    /**
     * 是否样管
     */
    private String isSamplePipe = "";
    /**
     * 样管切长(mm)
     */
    private String samplePipeLen = "";
    /**
     * 取样班次
     */
    private String getSampleShift = "";
    /**
     * 取样班组
     */
    private String getSampleClass = "";
    /**
     * 取样人
     */
    private String getSampleName = "";
    /**
     * 取样时间
     */
    private String getSampleTime = "";
    /**
     * 原判定炉号（组炉后存原判定炉号)
     */
    private String oldJudgeStoveNo = "";
    /**
     * 组炉标识(0,未组炉 1-组炉)
     */
    private String groupFlag = "";
    /**
     * 作业工序点代码
     */
    private String opProcess = "";
    /**
     * 材料状态(00-合格 10-剔除 15-绝废20-待处理30另组炉)
     */
    private String matStatus = "";
    /**
     * 离线标志(00无；10-离线；20返线；)
     */
    private String leveLog = "";
    /**
     * 是否入库(0-未入库 1-已入库)--交库结炉时写
     */
    private String instoreFlag = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 操作时间
     */
    private String proTime = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 工艺路径 （0：初始状态 1：正常作业 2：离线 3：返线）[1-0-0-0-0-0-0-0]一个节点对应一个工艺点
     */
    private String prcTechnologyPath = "";
    /**
     * 虚拟入库标志(0-未入库 1-已入库)--交库时写
     */
    private String vmInstoreFlag = "";
    /**
     * 返线工序点
     */
    private String returnProcess = "";
    /**
     * 实际镦拔扩取样分批 性能批号
     */
    private String phyBatchNo = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 申请判定单号
     */
    private String jugdeApplyCode = "";
    /**
     * 判定标志
     */
    private String jugdeApply = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 加工订单编号
     */
    private String proPlanId = "";
    /**
     * 加工排产序号
     */
    private String gxPlanNo = "";
    /**
     * 分切数
     */
    private String outnumCut = "";

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 材料号(管号)
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号(管号)
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 母管号
     * @return value
     */
    public String getMMatNo() {
        return mMatNo;
    }

    /**
     * 母管号
     * @param mMatNo value
     */
    public void setMMatNo(String mMatNo) {
        this.mMatNo = mMatNo;
    }

    /**
     * 母坯号
     * @return value
     */
    public String getMMMatNo() {
        return mMMatNo;
    }

    /**
     * 母坯号
     * @param mMMatNo value
     */
    public void setMMMatNo(String mMMatNo) {
        this.mMMatNo = mMMatNo;
    }

    /**
     * 生产批号(加工)
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号(加工)
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 生产批号序号(加工)
     * @return value
     */
    public String getLotNoSqe() {
        return lotNoSqe;
    }

    /**
     * 生产批号序号(加工)
     * @param lotNoSqe value
     */
    public void setLotNoSqe(String lotNoSqe) {
        this.lotNoSqe = lotNoSqe;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 性能批号--轧管批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 性能批号--轧管批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getGroupNo() {
        return groupNo;
    }

    /**
     * 组号
     * @param groupNo value
     */
    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 标示炉号
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 长度下限(实际)
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限(实际)
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限(实际)
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限(实际)
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 材料理论重量(实际)
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 材料理论重量(实际)
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 是否样管
     * @return value
     */
    public String getIsSamplePipe() {
        return isSamplePipe;
    }

    /**
     * 是否样管
     * @param isSamplePipe value
     */
    public void setIsSamplePipe(String isSamplePipe) {
        this.isSamplePipe = isSamplePipe;
    }

    /**
     * 样管切长(mm)
     * @return value
     */
    public String getSamplePipeLen() {
        return samplePipeLen;
    }

    /**
     * 样管切长(mm)
     * @param samplePipeLen value
     */
    public void setSamplePipeLen(String samplePipeLen) {
        this.samplePipeLen = samplePipeLen;
    }

    /**
     * 取样班次
     * @return value
     */
    public String getGetSampleShift() {
        return getSampleShift;
    }

    /**
     * 取样班次
     * @param getSampleShift value
     */
    public void setGetSampleShift(String getSampleShift) {
        this.getSampleShift = getSampleShift;
    }

    /**
     * 取样班组
     * @return value
     */
    public String getGetSampleClass() {
        return getSampleClass;
    }

    /**
     * 取样班组
     * @param getSampleClass value
     */
    public void setGetSampleClass(String getSampleClass) {
        this.getSampleClass = getSampleClass;
    }

    /**
     * 取样人
     * @return value
     */
    public String getGetSampleName() {
        return getSampleName;
    }

    /**
     * 取样人
     * @param getSampleName value
     */
    public void setGetSampleName(String getSampleName) {
        this.getSampleName = getSampleName;
    }

    /**
     * 取样时间
     * @return value
     */
    public String getGetSampleTime() {
        return getSampleTime;
    }

    /**
     * 取样时间
     * @param getSampleTime value
     */
    public void setGetSampleTime(String getSampleTime) {
        this.getSampleTime = getSampleTime;
    }

    /**
     * 原判定炉号（组炉后存原判定炉号)
     * @return value
     */
    public String getOldJudgeStoveNo() {
        return oldJudgeStoveNo;
    }

    /**
     * 原判定炉号（组炉后存原判定炉号)
     * @param oldJudgeStoveNo value
     */
    public void setOldJudgeStoveNo(String oldJudgeStoveNo) {
        this.oldJudgeStoveNo = oldJudgeStoveNo;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @return value
     */
    public String getGroupFlag() {
        return groupFlag;
    }

    /**
     * 组炉标识(0,未组炉 1-组炉)
     * @param groupFlag value
     */
    public void setGroupFlag(String groupFlag) {
        this.groupFlag = groupFlag;
    }

    /**
     * 作业工序点代码
     * @return value
     */
    public String getOpProcess() {
        return opProcess;
    }

    /**
     * 作业工序点代码
     * @param opProcess value
     */
    public void setOpProcess(String opProcess) {
        this.opProcess = opProcess;
    }

    /**
     * 材料状态(00-合格 10-剔除 15-绝废20-待处理30另组炉)
     * @return value
     */
    public String getMatStatus() {
        return matStatus;
    }

    /**
     * 材料状态(00-合格 10-剔除 15-绝废20-待处理30另组炉)
     * @param matStatus value
     */
    public void setMatStatus(String matStatus) {
        this.matStatus = matStatus;
    }

    /**
     * 离线标志(00无；10-离线；20返线；)
     * @return value
     */
    public String getLeveLog() {
        return leveLog;
    }

    /**
     * 离线标志(00无；10-离线；20返线；)
     * @param leveLog value
     */
    public void setLeveLog(String leveLog) {
        this.leveLog = leveLog;
    }

    /**
     * 是否入库(0-未入库 1-已入库)--交库结炉时写
     * @return value
     */
    public String getInstoreFlag() {
        return instoreFlag;
    }

    /**
     * 是否入库(0-未入库 1-已入库)--交库结炉时写
     * @param instoreFlag value
     */
    public void setInstoreFlag(String instoreFlag) {
        this.instoreFlag = instoreFlag;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 工艺路径 （0：初始状态 1：正常作业 2：离线 3：返线）[1-0-0-0-0-0-0-0]一个节点对应一个工艺点
     * @return value
     */
    public String getPrcTechnologyPath() {
        return prcTechnologyPath;
    }

    /**
     * 工艺路径 （0：初始状态 1：正常作业 2：离线 3：返线）[1-0-0-0-0-0-0-0]一个节点对应一个工艺点
     * @param prcTechnologyPath value
     */
    public void setPrcTechnologyPath(String prcTechnologyPath) {
        this.prcTechnologyPath = prcTechnologyPath;
    }

    /**
     * 虚拟入库标志(0-未入库 1-已入库)--交库时写
     * @return value
     */
    public String getVmInstoreFlag() {
        return vmInstoreFlag;
    }

    /**
     * 虚拟入库标志(0-未入库 1-已入库)--交库时写
     * @param vmInstoreFlag value
     */
    public void setVmInstoreFlag(String vmInstoreFlag) {
        this.vmInstoreFlag = vmInstoreFlag;
    }

    /**
     * 返线工序点
     * @return value
     */
    public String getReturnProcess() {
        return returnProcess;
    }

    /**
     * 返线工序点
     * @param returnProcess value
     */
    public void setReturnProcess(String returnProcess) {
        this.returnProcess = returnProcess;
    }

    /**
     * 实际镦拔扩取样分批 性能批号
     * @return value
     */
    public String getPhyBatchNo() {
        return phyBatchNo;
    }

    /**
     * 实际镦拔扩取样分批 性能批号
     * @param phyBatchNo value
     */
    public void setPhyBatchNo(String phyBatchNo) {
        this.phyBatchNo = phyBatchNo;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 申请判定单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 申请判定单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 判定标志
     * @return value
     */
    public String getJugdeApply() {
        return jugdeApply;
    }

    /**
     * 判定标志
     * @param jugdeApply value
     */
    public void setJugdeApply(String jugdeApply) {
        this.jugdeApply = jugdeApply;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 加工订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 加工订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 加工排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 加工排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 分切数
     * @return value
     */
    public String getOutnumCut() {
        return outnumCut;
    }

    /**
     * 分切数
     * @param outnumCut value
     */
    public void setOutnumCut(String outnumCut) {
        this.outnumCut = outnumCut;
    }


    public String getTrFlag() {
        return trFlag;
    }

    public void setTrFlag(String trFlag) {
        this.trFlag = trFlag;
    }

    /**
     * 测量点数据已匹配 (0:未匹配, 1-已匹配  2-需要重新测量)
     */
    private String trFlag = "";
}